class uKnife extends R6Grenade;

var float Counter,Life;
var Pawn KnifeOwner;

simulated function FirstPassReset()
{
	super.FirstPassReset();
	Destroy();
}

simulated function HitWall(vector HitNormal,Actor Wall)
{
	local R6Pawn.eBodyPart HitPart;
	if ( ( m_bFirstImpact ) && ( Wall != none ) && ( R6Pawn(Wall) != none ) )
	{
		HitPart = R6Pawn(Wall).WhichBodyPartWasHit(Wall.location,normal(Velocity));
		R6Pawn(Wall).ServerForceKillResult(4);
		R6Pawn(Wall).R6TakeDamage(m_iEnergy,m_iEnergy,KnifeOwner,Wall.Location,Velocity,0);
		R6Pawn(Wall).ServerForceKillResult(0);
		if ( ( R6Pawn(KnifeOwner) != none ) && !R6Pawn(KnifeOwner).IsFriend(R6Pawn(Wall)) )
		{
			R6AbstractGameInfo(Level.Game).IncrementRoundsFired(R6Pawn(KnifeOwner),R6AbstractGameInfo(Level.Game).m_bCompilingStats);
		}
		SelfDestroy();
	}
	else
	super.HitWall(HitNormal,Wall);
}

event PostBeginPlay()
{
	if ( Life != 0 )
	{
		Counter = 0.f;
		SetTimer(0.2,true);
	}
}

event Timer()
{
	Counter += 0.2f;
	if ( Counter >= Life )
	SelfDestroy();
}

function HurtPawns();

function Explode()
{
	SelfDestroy();
}

defaultproperties
{
	m_iEnergy=5000
	bBounce=true
	m_bFirstImpact=true
	Life=30.00000
	m_szAmmoName="Throwing Knife"
	LifeSpan=30.00000
	DrawScale=1.200000
	StaticMesh=StaticMesh'MW2_Weapons_T.knife_sm'
	m_ImpactGroundSound=Sound'Foley_CommonGrenade.Play_Grenades_GroundImpacts'
}